eMbedded Visual Tools 3.0 vs eMbedded Visual C++ 4.0

eMbedded Visual Tools 3.0 vs eMbedded Visual C++ 4.0

Post by Jean-Marc Molin » Fri, 19 Apr 2002 19:53:54



Hello,

    I wonder why there's a VC++ 4.0. It's not already
included in the VT 3.0 package ?

    Thanks,
    JM

Jean-Marc Molina - Outlook Express
Signature ------------------------------------------------------------------

http://goa.ifrance.com

 
 
 

eMbedded Visual Tools 3.0 vs eMbedded Visual C++ 4.0

Post by Mike Dimmic » Sat, 20 Apr 2002 06:09:19



Quote:> Hello,

>     I wonder why there's a VC++ 4.0. It's not already
> included in the VT 3.0 package ?

eVC 4.0 is for CE 4.0 (CE.NET) application development.  I don't have it,
but I do know that CE.NET supports C++ exceptions, which requires support in
the compiler in addition to support in the library.

Some of eVC 3.0's compilers (there is in fact one compiler for each
supported processor - cl.exe for x86, clarm.exe for ARM, etc) support C++
exceptions and full unwind semantics, but the CE 3.0 libraries didn't supply
the necessary runtime support.  The compilers that generate (apparently)
correct code are the MIPS, PPC and x86 ones - hardly surprising as the full
Windows NT is/was available on those three processors.

--
Mike Dimmick